<!DOCTYPE html>
<html>
  <head>
    {% block style %} {% endblock %}
    <style>
      body {
        font-family: arial, sans-serif;
      }
      .bg-grey {
        background-color: #c0c0c0;
        -webkit-print-color-adjust: exact;
      }
      .bg-grey-light {
        background-color: #f5f5f5;
        -webkit-print-color-adjust: exact;
      }
      .text-n {
        color: #ccb71c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-p {
        color: #cc5f1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-k {
        color: #88cc1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-grey {
        color: #9e9e9e;
        -webkit-print-color-adjust: exact;
      }
      .text-bold {
        font-weight: 600;
      }
      table {
        border-collapse: collapse;
        width: 100%;
      }
      td,
      th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
      }
    </style>
  </head>
  <body>
    <div id="content">
      {% for plan in fertilization_plans %}
      <div style="page-break-after: always">
        <h1 style="margin-top: 0px">
          {{ plan.fertilization_plan_name }}
        </h1>
        <p>
          {{ plan.holding_name }} ({{
          plan.campaign_name }})
        </p>
        <table>
          <tr>
            <th>Αλγόριθμος</th>
            <th>Ημερομηνία επικαιροποίησης του σχεδίου</th>
            <th>Ημερομηνία δημιουργίας του μηνύματος</th>
          </tr>
          <tr>
            <td>
              <div
                style="display: flex; flex-wrap: nowrap; align-items: center"
              >
                <div style="display: flex; align-items: center">
                  <div style="width: 25px; height: auto">
                    {{ algorithm_logo|safe }}
                  </div>
                  <div style="margin-left: 8px">Navigator F3</div>
                </div>
              </div>
            </td>
            <td>
              {{
              plan.fertilization_plan_date|datetimeformat("%Y-%m-%d
              %H:%M:%S", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
            </td>
            <td>
              {{ current_date_time|datetimeformat("%Y-%m-%d %H:%M:%S",
              "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
            </td>
          </tr>
        </table>

        {% if plan.recommendations_by_plot %} {% for plot_id,
        plot_recommendation in
        plan.recommendations_by_plot.items() %}
        <h3 style="padding-top: 16px">{{ plot_recommendation.plot_name }}</h3>
        {% if plot_recommendation.plot_preview %}
        <div style="width: 100%; max-height: 350px">
          {{ plot_recommendation.plot_preview|safe }}
        </div>
        {% endif %} {% for recommendation in plot_recommendation.recommendations
        %}
        <p style="margin-top: 2em">
          <span style="text-transform: uppercase">
            {{ plan.parameters.plantSpecies.name }}{% if
            recommendation.plant_species_name %} - {{
            recommendation.plant_species_name }}{% endif %}
          </span>
          {% if not plan.crop_yield is none %}
          <span>
            &nbsp; {{ plan.crop_yield }}
          </span>
          {% endif %}
        </p>
        <table style="margin-top: 1em">
          <tr>
            <th colspan="6" style="text-align: center; font-size: 1.15em">
              Σύσταση
            </th>
          </tr>
          <tr>
            <th>Στοιχείο</th>
            <th>Ποσότητα</th>
          </tr>
          <tr>
            <td>Αζότε (N)</td>
            <td>
              {{ plan.main_results.recommendation.n }}
            </td>
          </tr>
          <tr>
            <td>Φώσφορος (P)</td>
            <td>
              {{ plan.main_results.recommendation.p }}
            </td>
          </tr>
          <tr>
            <td>Κάλιο (K)</td>
            <td>
              {{ plan.main_results.recommendation.k }}
            </td>
          </tr>
          
          {% if plan.main_results.recommendation.young_trees_fertilization_year is defined %}
            <tr>
              <td>Νεαρά δέντρα έτος λίπανσης</td>
              <td>
                {{ plan.main_results.recommendation.young_trees_fertilization_year }}
              </td>
            </tr>
          {% endif %}

          {% if plan.main_results.recommendation.young_trees_per_surface is defined %}
            <tr>
              <td>Δέντρα ανά {{ plan.surface_unit }}</td>
              <td>
                {{ plan.main_results.recommendation.young_trees_per_surface }}
              </td>
            </tr>
          {% endif %}


        </table>

        {% if plan.main_results.recommendation_per_tree is defined %}
          <table style="margin-top: 1em; page-break-before: always">
            <tr>
              <th colspan="6" style="text-align: center; font-size: 1.15em">
                Σύσταση ανά δέντρο
              </th>
            </tr>
            <tr>
              <th>Στοιχείο</th>
              <th>Ποσότητα</th>
            </tr>
            <tr>
              <td>Αζότε (N)</td>
              <td>
                {{ plan.main_results.recommendation_per_tree.n }}
              </td>
            </tr>
            <tr>
              <td>Φώσφορος (P)</td>
              <td>
                {{ plan.main_results.recommendation_per_tree.p }}
              </td>
            </tr>
            <tr>
              <td>Κάλιο (K)</td>
              <td>
                {{ plan.main_results.recommendation_per_tree.k }}
              </td>
            </tr>
          </table>
        {% endif %}

        {% if not plan.main_results.recommendation_per_tree is defined %}

          {% if plan.input_results is defined and plan.input_results|length > 0 %}
            <table style="margin-top: 1em; page-break-before: always">
              <tr>
                <th colspan="6" style="text-align: center; font-size: 1.15em">
                  Είσοδοι (kg/{{ plan.surface_unit }})
                </th>
              </tr>
              <tr>
                <th></th>
                <th>Αζότε (N)</th>
                <th>Φώσφορος (P)</th>
                <th>Κάλιο (K)</th>
              </tr>
              <tr>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.inputs.label }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.inputs.n }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.inputs.p }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.inputs.k }}</span
                  >
                </td>
              </tr>
              {% for input in plan.input_results %}
              <tr>
                <td>{{ input.label }}</td>
                <td>{{ input.n }}</td>
                <td>{{ input.p }}</td>
                <td>{{ input.k }}</td>
              </tr>
              {% endfor %}
            </table>
          {% endif %}

          </br></br>

          {% if plan.output_results is defined and plan.output_results|length > 0 %}
            <table style="margin-top: 1em">
              <tr>
                <th colspan="6" style="text-align: center; font-size: 1.15em">
                  Έξοδοι (kg/{{ plan.surface_unit }})
                </th>
              </tr>
              <tr>
                <th></th>
                <th>Αζότε (N)</th>
                <th>Φώσφορος (P)</th>
                <th>Κάλιο (K)</th>
              </tr>
              <tr>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.outputs.label }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.outputs.n }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.outputs.p }}</span
                  >
                </td>
                <td>
                  <span class="text-bold"
                    >{{ plan.main_results.outputs.k }}</span
                  >
                </td>
              </tr>
              {% for output in plan.output_results %}
              <tr>
                <td>{{ output.label }}</td>
                <td>{{ output.n }}</td>
                <td>{{ output.p }}</td>
                <td>{{ output.k }}</td>
              </tr>
              {% endfor %}
            </table>
          {% endif %}

          </br></br>

          <table style="margin-top: 1em">
            <tr>
              <th colspan="6" style="text-align: center; font-size: 1.15em">
                Συγκομιδή και υπολείμματα
              </th>
            </tr>
            <tr>
              <th>Παράμετρος</th>
              <th>Αξία</th>
            </tr>
            <tr>
              <td>Περιεκτικότητα σε άζωτο συγκομιδής (N)</td>
              <td>{{ plan.parameters.harvestNitrogen }} %</td>
            </tr>
            <tr>
              <td>Περιεκτικότητα σε φώσφορο συγκομιδής (P)</td>
              <td>{{ plan.parameters.harvestPhosphorus }} %</td>
            </tr>
            <tr>
              <td>Περιεκτικότητα σε κάλιο συγκομιδής (K)</td>
              <td>{{ plan.parameters.harvestPotassium }} %</td>
            </tr>
            <tr>
              <td>Εξαγόμενα υπολείμματα</td>
              <td>{{ plan.parameters.residuesLeftInField }} %</td>
            </tr>
            <tr>
              <td>Δείκτης συγκομιδής</td>
              <td>{{ plan.parameters.harvestIndex }} %</td>
            </tr>
            <tr>
              <td>Συγκομιδή cv</td>
              <td>{{ plan.parameters.harvestCV }} %</td>
            </tr>
          </table>

          <p>
            Στρατηγική γονιμοποίησης: <span class="text-bold">{{
            plan.fertilization_strategy.label }}</span>
          </p>

          <p>{{ plan.fertilization_strategy.description }}
          </p>

          </br></br>

          <table style="margin-top: 1em">
            <tr>
              <th colspan="6" style="text-align: center; font-size: 1.15em">
                Έδαφος
              </th>
            </tr>
            <tr>
              <th>Παράμετρος</th>
              <th>Αξία</th>
            </tr>
            {% if plan.parameters.soilTexture %}
            <tr>
              <td>Υφή του εδάφους</td>
              <td>{{ plan.parameters.soilTexture.name }}</td>
            </tr>
            {% endif %}
            <tr>
              <td>PH</td>
              <td>{{ plan.parameters.soilPH }}</td>
            </tr>
            <tr>
              <td>Οργανική ύλη</td>
              <td>{{ plan.parameters.soilOrganicMatter }}</td>
            </tr>
            {% if plan.parameters.soilNitrogenInitialContent %}
            <tr>
              <td>Περιεκτικότητα σε άζωτο πριν από τη σπορά</td>
              <td>
                {{ plan.parameters.soilNitrogenInitialContent * plan.surface_ratio_to_ha }}
                kg/{{ plan.surface_unit }}
              </td>
            </tr>
            {% endif %}
            {% if plan.parameters.soilNitrogenFinalContent %}
            <tr>
              <td>Περιεκτικότητα σε άζωτο μετά τη συγκομιδή</td>
              <td>
                {{ plan.parameters.soilNitrogenFinalContent * plan.surface_ratio_to_ha }} kg/{{ plan.surface_unit }}
              </td>
            </tr>
            {% endif %}
            {% if plan.parameters.soilPhosphorusAnalysisMethod %}
            <tr>
              <td>Μέθοδος ανάλυσης φωσφόρου</td>
              <td>
                {{ plan.parameters.soilPhosphorusAnalysisMethod.name
                }}
              </td>
            </tr>
            {% endif %}
            <tr>
              <td>Περιεκτικότητα σε φώσφορο</td>
              <td>
                {{ plan.parameters.soilPhosphorusContent }} ppm
              </td>
            </tr>
            <tr>
              <td>Περιεκτικότητα σε κάλιο</td>
              <td>
                {{ plan.parameters.soilPotassiumContent }} ppm
              </td>
            </tr>
            <tr>
              <td>Βάθος εδάφους</td>
              <td>{{ plan.parameters.soilDepth }} m</td>
            </tr>
            <tr>
              <td>CEC</td>
              <td>{{ plan.parameters.soilCEC }} meq/kg</td>
            </tr>
          </table>

          </br></br>

          <table style="margin-top: 1em">
            <tr>
              <th colspan="6" style="text-align: center; font-size: 1.15em">
                Άρδευση
              </th>
            </tr>
            <tr>
              <th>Παράμετρος</th>
              <th>Αξία</th>
            </tr>
            {% if plan.parameters.irrigationClimateZone %}
            <tr>
              <td>Κλιματική ζώνη άρδευσης</td>
              <td>
                {{ plan.parameters.irrigationClimateZone.name }}
              </td>
            </tr>
            <tr>
              <td>Ετήσια βροχόπτωση</td>
              <td>
                {{
                plan.parameters.irrigationClimateZone.rainfall_annual
                }} mm
              </td>
            </tr>
            <tr>
              <td>Βροχόπτωση φθινόπωρο-χειμώνα</td>
              <td>
                {{
                plan.parameters.irrigationClimateZone.rainfall_autumn_winter
                }} mm
              </td>
            </tr>
            {% endif %} {% if plan.parameters.irrigationWaterSupply
            %} {% if
            plan.parameters.irrigationWaterSupply.name|upper ==
            'RAINFED' %}
            <tr>
              <td>Παροχή νερού</td>
              <td>τροφοδοτείται από τη βροχή</td>
            </tr>
            {% endif %} {% if
            plan.parameters.irrigationWaterSupply.name|upper ==
            'IRRIGATION' %}
            <tr>
              <td>Τύπος άρδευσης</td>
              <td>{{ plan.parameters.irrigationType.name }}</td>
            </tr>
            <tr>
              <td>Δόση άρδευσης</td>
              <td>{{ plan.parameters.irrigationDose }} m3/{{ plan.surface_unit }}</td>
            </tr>
            <tr>
              <td>Περιεκτικότητα σε άζωτο άρδευσης</td>
              <td>
                {{ plan.parameters.soilNitrogenInitialContent }} ppm
              </td>
            </tr>
            {% endif %} {% endif %}
          </table>

        {% endif %}

        {% if plan.parameters.fertilizations is defined and plan.parameters.fertilizations|length > 0 %}
          <table style="margin-top: 1em; page-break-before: always">
            <tr>
              <th colspan="6" style="text-align: center; font-size: 1.15em">
                Γονιμοποίηση
              </th>
            </tr>
            <tr>
              <th></th>
              <th>Συχνότητα εφαρμογής</th>
              <th>Μέθοδος ενσωμάτωσης</th>
              <th>Ποσότητα</th>
            </tr>
            {% for fertilization in plan.parameters.fertilizations %}
            <tr>
              <td>{{ fertilization.fertilizer.name }}</td>
              <td>{{ fertilization.fertilizerApplicationFrequency.label }}</td>
              <td>{{ fertilization.fertilizerIncorporationMethod.label }}</td>
              <td>{{ fertilization.quantity_formatted }}</td>
            </tr>
            {% endfor %}
          </table>
        {% endif %}

        {% endfor %} {% endfor %} {% endif %}
      </div>
      {% endfor %}
    </div>
  </body>
</html>
